Package com.sas.lsaf.clinical.study

## Class StudyComponentEditableStatus

- java.lang.Object
- - com.sas.lsaf.clinical.study.StudyComponentEditableStatus

- All Implemented Interfaces:
    `java.io.Serializable`

      public class StudyComponentEditableStatus
      extends java.lang.Object
      implements java.io.Serializable

  The class that represents the editable state of a study component. A study component must be set as editable before the component can be updated. The editable status indicates whether the component is being edited, by whom, and when it was marked for editing.
  Since:
    2.2
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `StudyComponentEditableStatus​(boolean isBeingEdited, java.lang.String editedBy, java.util.Date editStartDate)` | It is not intended or recommended that the consumer of the API construct these objects.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `java.lang.String` | `getEditedBy()` | Gets the user who is editing the study component.
    `java.util.Date` | `getEditStartDate()` | Gets the date on which the study component was marked for editing.
    `int` | `hashCode()` |
    `boolean` | `isBeingEdited()` | Indicates whether the study component is being edited.
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### StudyComponentEditableStatus

          public StudyComponentEditableStatus​(boolean isBeingEdited,
                                              java.lang.String editedBy,
                                              java.util.Date editStartDate)

      It is not intended or recommended that the consumer of the API construct these objects. They should deal only with the StudyComponentEditableStatus returned by the API.
      Parameters:
        `isBeingEdited` - Indicates whether the study component is being edited.
        `editedBy` - If the study component is being edited, the userId of the user who is editing it. Otherwise, null.
        `editStartDate` - If the study component is being edited, the date on which it was marked for editing. Otherwise, null.

  - ### Method Detail

    - #### isBeingEdited

          public boolean isBeingEdited()

      Indicates whether the study component is being edited.
      Returns:
        True, if the study component is being edited, false otherwise.

    - #### getEditedBy

          public java.lang.String getEditedBy()

      Gets the user who is editing the study component. If the study component is not being edited, null is returned.
      Returns:
        The userId of the user who is editing the study component, if it is being edited. Otherwise, null.

    - #### getEditStartDate

          public java.util.Date getEditStartDate()

      Gets the date on which the study component was marked for editing. If the study component is not being edited, null is returned.
      Returns:
        The date on which the study component was marked for editing, if it is being edited. Otherwise, null.

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`